/* MenuController */

#import <Cocoa/Cocoa.h>
#import "AbstractDocument.h"

@interface MenuController : NSObject
{
	NSUserDefaults *mUserDefaults;

	bool sendPatchOnOpen;

	id mStoreSheet;
	
}

- (void)getSoundEditBuffer:(id)sender;
- (void)getMultiEditBuffer:(id)sender;
- (void)openPreferences:(id)sender;
// envoie le patch courant au synthe
- (void)sendPatch:(id)sender;
- (void)sendPatchFromDoc:(AbstractDocument *)aDoc;
- (void)storePatch:(id)sender;
- (bool)sendPatchOnOpen;

- (void)sendSoundInMulti:(id)sender;

- (void)newSound:(id)sender;
- (void)newMulti:(id)sender;
- (void)newSoundSet:(id)sender;

@end
