//
//  MultiDocument.h
//  MQEditor
//
//  Created by groumpf on 09/07/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "Multi.h"
#import "AbstractDocument.h"
#import "SoundSetDocument.h"

@interface MultiDocument : AbstractDocument 
{
	Multi *multi;
	
	SoundSetDocument *parentSet;
}

+ (NSString *)documentType;
- (NSString*)patchName;
- (void)setPatchName:(NSString*)aName;

// positionne le multi (sans recopie)
// un release est fait sur le multi existant
- (void)setMulti:(Multi*)aMulti;
- (void)setObjectUI:(NSView*)aView dico:(id)aDico tag:(int)aTag document:(MultiDocument*)aDoc;
- (int)dumpType;
- (void)setParentSet:(SoundSetDocument*)aSet;
@end
